#ifndef HTML_ALIGN_HH
#define HTML_ALIGN_HH

#include "html/Attrib.hh"
#include <string>

namespace html {
  class writer;

  class align : public attrib {
  public:
    align(void);
    align(const std::string& clr);
    align(const align& x);
    ~align(void);
    attrib* clone(void) const;
    bool isDefault(void) const;
    void putAttr(writer& w) const;
    void setDefault(void);
    void setAlign(const std::string& name);
    bool operator==(const align& x) const;

  private:
    enum AlignMode {
      k_default,
      k_left,
      k_right,
      k_center
    };

  private:
    AlignMode mMode;
  };

}

#endif //  HTML_ALIGN_HH
