// program to test calculation of Overlap reduction function
// by: Marcus

#include <cmath> 
#include <iostream>
#include <fstream>
#include "LLOLHO_Overlap.hh"
#include "LLOLHO_Overlap.cc"

using namespace std;


int main(int argc, const char *argv[])
{
  int nsteps = 260;
  double low_freq = 40;
  double f_step = 1;
  if (argc > 1) {
    nsteps = atoi(argv[1]);
    if (argc > 2) {
      low_freq = atof(argv[2]);
      if (argc > 3) {
	f_step = atof(argv[3]);
      }
    }
  }
  int i;
  double freq = low_freq + (i * f_step);
  
  float *gammaArray = NULL;
  gammaArray = new float[nsteps + 1];
  
  LLOLHO_Overlap(gammaArray, nsteps, f_step, low_freq); 
  
  cout << "#frequency (Hz) " << "                   " << "gamma [i]" << endl;  
  for (i = 0; i < (nsteps + 1); i++)
    {  
      freq = low_freq + (i * f_step);
        cout << freq  << "                " << gammaArray[i] << endl;
    }
  
  delete [] gammaArray; //--free up memory
  
} // end of main function

