#include <TidClass.h>

TidClass* Main;

int main(int argc, char *argv[]) {

  void catch_sig(int); // for catching signals

  signal(SIGINT, catch_sig); 
  signal(SIGHUP, catch_sig); 
  signal(SIGQUIT, catch_sig); 
  signal(SIGABRT, catch_sig); 

  Main = new TidClass(argc,argv);

  TidMessage("Initialization completed. Launching analysis.");

  while(Main->Run()) {}

  TidMessage("Analysis completed. Closing down.");

  delete Main;

  return 0;

}


void catch_sig(int sig)
{
  switch (sig)
  {
    case SIGHUP:
      TidMessage("Hangup! ");
      break;
    case SIGINT:
      TidMessage("Interrupt! ");
      break;
    case SIGQUIT:
      TidMessage("Quit! ");
      break;
    case SIGABRT:
      TidMessage("Abort! ");
      break;
    default:
      TidMessage("Unknown signal! ");
  }
  TidMessage("Shutting down because of signal");

  delete Main;

  exit(0);
}
